Subject: job

From: [email-masked]
Date: 14 May 1996 08:34:18 -0700

To whom it may concern, I am a junior at URI and I am looking for a job in a la
bratory environment.  I have done several experiments dealing Iron stress in so
ybeans. I have alsove worked with some Agro bacteria in genetic engenering of p
lants.  I will be able to start right away.